Subject: Re: [bug#39717] [PATCH 1/3] gnu: delft-icon-theme: Use the copy-build-system.

From: Leo Prikler <[email-masked]>
Date: Thu, 27 Feb 2020 14:44:45 +0100

Am Donnerstag, den 27.02.2020, 14:19 +0100 schrieb Pierre Neidhardt:
> Can you detail what does not work?  Which file, what error message?
$ find `guix build --source delft-icon-theme` -xtype l
This returns a list of broken symlinks.  On any of them, install-file
fails with "file not found".

> In my opinion, the install-plan should be able to install any file,
> symlink or not.  Failing to do so seems like a bug to me.
I think I agree with you.  Instead of simply doing (copy-file file
dest), we'd have to check for symlinks as is done in copy-recursively. 
Now that I have a more complete understanding of this bug, I'll try to
come up with a patch.

Regards,
Leo